Bug 857223 - Errant HTML comment in source code
Errant HTML comment in source code
Status: MODIFIED
Product: CloudForms Cloud Engine
Classification: Red Hat
Component: aeolus-conductor (Show other bugs)
1.1.0
Unspecified Unspecified
low Severity low
: rc
: ---
Assigned To: Angus Thomas
Rehana
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-13 16:03 EDT by Matt Wagner
Modified: 2014-08-17 18:27 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matt Wagner 2012-09-13 16:03:42 EDT
Description of problem:
In Conductor (both 1.1 and upstream master), there is a bit of haml that's commented out -- but the way it's commented out causes it to display as an HTML comment. The head of the page shows:

<!-- = content_for :javascripts_block do -->


Steps to Reproduce:
1. Log into Conductor
2. View source (top of page)

  
Actual results:
haml displayed in HTML comment.


Expected results:
Random haml not displayed in HTML comments.


Additional info:
Since it's just commented out, we should just remove this, rather than trying to change the comment type.
Comment 2 Matt Wagner 2012-09-14 08:58:53 EDT
On master (_not_ in scope for 1.1):

commit f8cb475b839a159109620ee42b4f54c4111a17f7
Author: Matt Wagner <matt.wagner@redhat.com>
Date:   Thu Sep 13 16:05:59 2012 -0400

    BZ 857223 - Removes a malformed haml comment from layout
    
    This was displaying the haml as an HTML comment, which was
    kind of silly. Since it wasn't used, I'm just removing it.
    
    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=857223

Note You need to log in before you can comment on or make changes to this bug.